## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-argon2-cffi
Version:        25.1.0
Release:        %autorelease
Summary:        The secure Argon2 password hashing algorithm

License:        MIT
URL:            https://argon2-cffi.readthedocs.io/
Source:         %{pypi_source argon2_cffi}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-hypothesis

%global _description %{expand:
CFFI-based Argon2 Bindings for Python.}

%description %_description


%package -n     python3-argon2-cffi
Summary:        %{summary}

%description -n python3-argon2-cffi %_description


%prep
%autosetup -n argon2_cffi-%{version}
# don't BR coverage, we will not measure it
sed -Ei 's/"coverage[^"]+", //' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files argon2


%check
%pytest


%files -n python3-argon2-cffi -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
## START: Generated by rpmautospec
* Fri Jun 13 2025 Peter Bieringer <pb@bieringer.de> - 25.1.0-3
- add buildreq python3-hypothesis

* Fri Jun 13 2025 Peter Bieringer <pb@bieringer.de> - 25.1.0-2
- add python3-pytest buildreq

* Fri Jun 13 2025 Peter Bieringer <pb@bieringer.de> - 25.1.0-1
- 25.1.0

* Thu Feb 06 2025 Peter Bieringer <pb@bieringer.de> - 23.1.0-1
- EPEL10 build

## END: Generated by rpmautospec
